Get transfer flow report
GET /api/v1/programmatic/reports/transfer-flow
/api/v1/programmatic/reports/transfer-flowReturns transfer volumes and directions for a month.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
month | query | stringOptional | Report month. Defaults to the current month in the workspace timezone. 2026-07 |
Code examples
curl --request GET \
--url 'https://api.tetri.app/api/v1/programmatic/reports/transfer-flow?month=2026-07' \
--header 'Authorization: Bearer $TETRI_API_TOKEN'Responses
{
"data": {
"type": "transfer_flow",
"id": "<string>",
"attributes": {
"analysis_period_end": "2026-07-12",
"analysis_period_start": "2026-07-12",
"month": "<string>",
"nodes": [
{
"account_id": "<string>",
"wallet_id": "<string>",
"name": "<string>",
"type": "<string>"
}
],
"links": [
{
"source_id": "<string>",
"target_id": "<string>",
"amount": "<string>"
}
],
"total_transferred_agg": {
"per_currency": [
{
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"count": 0
}
],
"home_converted": {
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"fx_partial": false,
"missing_fx_count": 0,
"rate_date": "2026-07-12"
}
},
"fx_partial": false,
"missing_fx_count": 0
},
"window": {
"applied_months": 0,
"earliest_visible_date": "2026-07-12",
"plan": "free",
"requested_range": "recent",
"truncated_by_plan": false
}
}
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}